/* eslint-disable no-undef */
import {extendInclude, extendRule, initFilter} from "../../utils/common";
import moment from 'moment';
/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable}) => {


  },
  onFetchAutoFilter:({colInfo,params,getFieldValue})=>{

  },
  onBeforeEdit:({isNew,getFieldValue,login,dispatch,setFieldValueByBatch,setFieldEditable})=>{
    if(isNew) {
      const json = initFilter(login.OrgId);
      json.Count = 1;
      json.CodeType = 3508;

      dispatch({
        type: 'app/genSystemCode',
        payload: json,
        onComplete: (ret) => {
          //console.log(ret);
          if (ret) {
            const temps=[];
            temps.push({field:'CODE',value: ret});
            temps.push({field:'Nav_User.NAME',value: login.user.NAME});
            temps.push({field:'USER_ID',value:login.userId});
            //temps.push({field:'Nav_Warehouse.NAME',value:1});
            temps.push({field:'DATE_TIME',value:moment(new Date()).format('YYYY-MM-DD HH:mm:ss')});
            setFieldValueByBatch(temps);
          }
        }
      });
    }
  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
}
